"use strict";
const common_vendor = require("../../../common/vendor.js");
const INDEX_bill_list_model = require("../list/model.js");
const INDEX_bill_list_method = require("../list/method.js");
require("../../../common/libraries/apiLoading.js");
require("../../../gen/Apis.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../common/libraries/setTabBar.js");
require("../../../common/store/useWorkStore.js");
require("../../../common/libraries/naviHelper.js");
if (!Array) {
  const _easycom_hs_tabs2 = common_vendor.resolveComponent("hs-tabs");
  const _easycom_hs_popup_house2 = common_vendor.resolveComponent("hs-popup-house");
  const _easycom_hs_year_picker2 = common_vendor.resolveComponent("hs-year-picker");
  (_easycom_hs_tabs2 + _easycom_hs_popup_house2 + _easycom_hs_year_picker2)();
}
const _easycom_hs_tabs = () => "../../../components/hs-tabs/hs-tabs.js";
const _easycom_hs_popup_house = () => "../../../components/hs-popup-house/hs-popup-house.js";
const _easycom_hs_year_picker = () => "../../../components/hs-year-picker/hs-year-picker.js";
if (!Math) {
  (_easycom_hs_tabs + _easycom_hs_popup_house + _easycom_hs_year_picker)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "Tabs",
  emits: ["change"],
  setup(__props, { emit }) {
    let list = [
      { label: "待缴账单", value: ["PendingPayment", "Overdue"] },
      { label: "已缴账单", value: ["Paid"] }
    ];
    const handleTabsChange = (idx) => {
      var _a, _b;
      console.log(idx, "切换tab");
      INDEX_bill_list_model.useModel.currentTabs.value = idx;
      INDEX_bill_list_model.useModel.formData.value.bill_status = (_a = list[idx]) == null ? void 0 : _a.value;
      INDEX_bill_list_model.useModel.formData.value.page = 1;
      INDEX_bill_list_model.useModel.items.value = [];
      (_b = INDEX_bill_list_method.method) == null ? void 0 : _b.handleGetList();
    };
    const handleHouseChange = (id) => {
      emit("change", { asset_houses_id: id });
    };
    const handleYearChange = (res) => {
      emit("change", { year: res });
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.o(handleTabsChange),
        b: common_vendor.p({
          list: common_vendor.unref(list),
          current: common_vendor.unref(INDEX_bill_list_model.useModel).currentTabs.value
        }),
        c: common_vendor.o(handleHouseChange),
        d: common_vendor.p({
          baseStyle: {
            maxWidth: "360rpx"
          }
        }),
        e: common_vendor.o(handleYearChange)
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-1971e4af"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/INDEX/bill/components/Tabs.vue"]]);
wx.createComponent(Component);
